> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fyno.io/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fyno.io/docs/_mcp/server.

# Create user profile

POST https://api.fyno.io/v1/{WSID}/{version}/profiles
Content-Type: application/json

This API enables you to create a user profile within Fyno, which you can then use to send out notifications.

Before creating your first user profile, you should obtain the following values needed for authentication:
- API Key
- Workspace ID


Reference: https://fyno.io/docs/api-reference/create-user-profile

## Authentication

- `Authorization` header (bearer token, required) — Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

## Request

### Path parameters

- `WSID` (string, required) — Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
- `version` (string, required) — Specify the version for which you would like to manage the user profile.

### Body (application/json)

This endpoint expects a version_profiles_body.

- `distinct_id` (string, required) — Enter the distinct ID that you use to identify the user.
- `channel` (WSIDversionprofiles_channel, optional)
- `name` (string, optional) — (Optional) Enter the full name of the user.
- `status` (enum, optional) — (Optional) Enter 1 to specify that the user is active and should receive notifications. Enter 0 to specify that the user in inactive and should not receive any notifications. If null, the default value is 1.
  - Allowed values: `1`, `0`
- `timezone` (string, optional) — (Optional) Enter the timezone of the user. For a list of possible values, please click here.

## Response

### 201

Profile created successfully

- `_message` (string, required)
- `status` (string, required)

## Errors

### 400 Bad Request Error

Distinct ID already exists

- `_message` (string, required)
- `status` (string, required)

### 401 Unauthorized Error

API Key or Workspace ID is invalid. User is unauthorised.

- `_message` (string, required)
- `status` (string, required)

## Types

### WSIDversionprofiles_channel

- `discord` (string, optional) — Enter the discord ID of the user.
- `email` (string, optional) — Enter the email address of the user.
- `inapp` (list of WSIDversionprofiles_channel_inapp, optional)
- `push` (list of WSIDversionprofiles_channel_push, optional)
- `slack` (string, optional) — Enter the channel ID, user ID, or email address of the user.
- `sms` (string, optional) — Enter the mobile number of the user. The number must start with the country code (preferably in E.164 format). For example: +49XXXXXXXXX.
- `teams` (string, optional) — Enter the channel name. For teams, we currently support sending to one channel only. To send to multiple channels, do get in touch and we can share a workaround.
- `voice` (string, optional) — Enter the mobile number of the user. The number must start with the country code (preferably in E.164 format). For example: +49XXXXXXXXX.
- `whatsapp` (string, optional) — Enter the WhatsApp mobile number of the user. The number must start with the country code (preferably in E.164 format). For example: +49XXXXXXXXX

### WSIDversionprofiles_channel_inapp

- `token` (string, required) — Enter the distinct ID or the generated token of the user.
- `integration_id` (string, optional) — (Optional) Enter the integration ID that was used to generate the above token. This is helpful in identifying which integration to use when an account has multiple InApp integrations. If this value is null, then the above token is used for all InApp integrations. The integration ID can be obtained from Fyno's integrations page.
- `status` (enum, optional) — (Optional) Enter 1 to specify that this token must be active and should receive notifications. Enter 0 to specify that this token must be inactive and should not receive any notifications. If null, the default value is 1.
  - Allowed values: `1`, `0`

### WSIDversionprofiles_channel_push

- `token` (string, required) — Enter the push token of the user. If you use OneSignal, you must add the following prefix to the token: For OneSignal playerId: `onesignal_player_id:`\<enter\_playerid> For OneSignal externalId: `onesignal_external_id:`\<enter\_externalid>
- `integration_id` (string, optional) — (Optional) Enter the integration ID that was used to generate the above token. This is helpful in identifying which integration to use when an account has multiple push integrations. If this value is null, then the above token is used for all push integrations. The integration ID can be obtained from Fyno's integrations page.
- `status` (enum, optional) — (Optional) Enter 1 to specify that this token must be active and should receive notifications. Enter 0 to specify that this token must be inactive and should not receive any notifications. If null, the default value is 1.
  - Allowed values: `1`, `0`

## Examples

**Request**

```json
{
  "distinct_id": "XXXXXXXX"
}
```

**Response**

```json
{
  "_message": "Profile created successfully",
  "status": "ok"
}
```

**SDK Code**

```python
import requests

url = "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles"

payload = { "distinct_id": "XXXXXXXX" }
headers = {
    "Authorization": "Bearer <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fyno.io/v1/FYXXXXXXXX/version/profiles';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <apiKey>', 'Content-Type': 'application/json'},
  body: '{"distinct_id":"XXXXXXXX"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles"

	payload := strings.NewReader("{\n  \"distinct_id\": \"XXXXXXXX\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"distinct_id\": \"XXXXXXXX\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles")
  .header("Authorization", "Bearer <apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"distinct_id\": \"XXXXXXXX\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fyno.io/v1/FYXXXXXXXX/version/profiles', [
  'body' => '{
  "distinct_id": "XXXXXXXX"
}',
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"distinct_id\": \"XXXXXXXX\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["distinct_id": "XXXXXXXX"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```